Skip to content
Athena User Guide
Esc
↑↓navigate↵open⌘Jpreview

Get the current event settings

GET/api/admin/config
Responses
200

Response for status 200

versionnumberrequired
activatedAtstring<date-time>required
settingsobjectrequired
Show properties
ctfThemestringrequired
min length 1
ctfNamestringrequired
min length 1
ctfDescriptionstringrequired
heroTitlestring | null
Show properties
Any of:
string
string
null
null
startDatestring<date-time>required
matches ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
freezeDatestring<date-time>required
matches ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
endDatestring<date-time>required
matches ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
ctfLogoUrlstring | null
Show properties
Any of:
string
string
null
null
cooldownWrongAttemptsThresholdinteger
min 0 · max 9007199254740991
cooldownSecondsinteger
min 0 · max 9007199254740991
registrationOpenbooleanrequired
default: true
maxTeamSizeinteger | null
Show properties
Any of:
integer
integer
null
null
upcomingChallengesBannerEnabledbooleanrequired
default: true
solveNotificationEmailsEnabledbooleanrequired
default: true
reportNotificationEmailsstring<email>[]required
max items 10
exportIncludeEmailsbooleanrequired
default: false
marketingobject
Show properties
hostedBystring
prizePoolstring
categoriesstring[]required
default: []
discordUrlstring
writeupsUrlstring
contactUrlstring
rulesstringrequired
default: ""
faqobject[]required
default: []
Show properties
Array of object
questionstringrequired
answerstringrequired
401

Unauthorized

errorstringrequired
404

Response for status 404

errorstringrequired
422

Validation failed

typestringrequired
onstringrequired
summarystring
messagestring
foundany
propertystring
expectedstring
500

Unhandled server error

errorstringrequired
Try it
Server
Request
curl -X GET '/api/admin/config' \
  -H 'Accept: application/json'
Response
{
  "version": 0,
  "activatedAt": "2019-08-24T14:15:22Z",
  "settings": {
    "ctfTheme": "string",
    "ctfName": "string",
    "ctfDescription": "string",
    "heroTitle": "string",
    "startDate": "2019-08-24T14:15:22Z",
    "freezeDate": "2019-08-24T14:15:22Z",
    "endDate": "2019-08-24T14:15:22Z",
    "ctfLogoUrl": "string",
    "cooldownWrongAttemptsThreshold": 0,
    "cooldownSeconds": 0,
    "registrationOpen": true,
    "maxTeamSize": 1,
    "upcomingChallengesBannerEnabled": true,
    "solveNotificationEmailsEnabled": true,
    "reportNotificationEmails": [
      "user@example.com"
    ],
    "exportIncludeEmails": false,
    "marketing": {
      "hostedBy": "string",
      "prizePool": "string",
      "categories": [],
      "discordUrl": "string",
      "writeupsUrl": "string",
      "contactUrl": "string"
    },
    "rules": "",
    "faq": []
  }
}

Was this page helpful?